"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const unit_1 = require("../unit");
const dotenv_1 = __importDefault(require("dotenv"));
dotenv_1.default.config();
const unit = new unit_1.Unit(process.env.UNIT_TOKEN || "test", process.env.UNIT_API_URL || "test");
describe("ApplicationForms", () => {
    const appFormsIds = [];
    test("Get List of ApplicationForms", async () => {
        const res = await unit.applicationForms.list();
        expect(res.data).toBeInstanceOf(Array);
        res.data.forEach(a => {
            appFormsIds.push(a.id);
        });
    });
    test("Get ApplicationForm", async () => {
        appFormsIds.forEach(async (id) => {
            const res = await unit.applicationForms.get(id);
            expect(res.data.type == "applicationForm");
        });
    });
});
