"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const unit_1 = require("../unit");
const dotenv_1 = __importDefault(require("dotenv"));
dotenv_1.default.config();
const unit = new unit_1.Unit(process.env.UNIT_TOKEN || "test", process.env.UNIT_API_URL || "test");
const authorizationIds = [];
describe("Authorization Find", () => {
    test("Get Authorization List", async () => {
        const res = await unit.authorizations.find({ limit: 10, status: "Authorized" });
        res.data.forEach(element => {
            0;
            expect(element.type === "authorization").toBeTruthy();
            authorizationIds.push(element.id);
        });
    });
});
describe("Get Authorization", () => {
    test("get authorization", async () => {
        authorizationIds.forEach(async (id) => {
            const res = await unit.authorizations.get(id);
            expect(res.data.type === "authorization").toBeTruthy();
        });
    });
});
