"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloseAccountRequest = void 0;
class CloseAccountRequest {
    constructor(accountId, reason = "ByCustomer") {
        this.accountId = accountId;
        this.reason = reason;
    }
    to_json() {
        const data = {
            "data": {
                "type": "accountClose",
                "attributes": {
                    "reason": this.reason
                }
            }
        };
        return data;
    }
}
exports.CloseAccountRequest = CloseAccountRequest;
